> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disconnect Quick Books

> Revokes the Intuit refresh token (best effort), scrubs stored tokens and marks the connection DISCONNECTED.

Not available to API keys yet. It will need `integrations:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/disconnect-quick-books
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/disconnect-quick-books:
    post:
      operationId: disconnectQuickBooks
      summary: Disconnect Quick Books
      description: >-
        Revokes the Intuit refresh token (best effort), scrubs stored tokens and
        marks the connection DISCONNECTED.


        Not available to API keys yet. It will need `integrations:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DisconnectQuickBooksRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DisconnectQuickBooksResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    DisconnectQuickBooksRequest:
      type: object
      properties:
        connectionId:
          type: string
          format: uuid
        clientId:
          type: string
          format: uuid
      required:
        - connectionId
    DisconnectQuickBooksResponse:
      type: object
      properties:
        disconnected:
          const: true
        revokeAttempted:
          type: boolean
      required:
        - disconnected
        - revokeAttempted
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
